#sccs	"@(#)adminbin:MsdosF.sh	1.3"
# 								Users.sh
# PURPOSE: Format a Msdos disk
# CALLED BY: Floppy
# -------------------------------------------------------------------------

ERROR1="You have a disk mounted already!\n\nPossible reasons: you have another Floppy window opened or you did a 'mount' on the system.Please dismount the floppy disk by closing the 'Floppydisk' window or issue a 'dismount -f' in the 'Unix' window before attempting this operation."

LOCKFILE=/tmp/FinUse.lock
ERRINUSE="The floppy disk is already in use by another application.  Please wait for the disk to finish before starting again."

MUSTBECON="You may not format floppy disks from a remote terminal."

TERMCAP=
export TERMCAP
umask 022

##  LIMIT FORMATTING TO CONSOLE USERS

TTY=`tty`
expr "$TTY" : "/dev/w." > /dev/null 2>&1
if [ $? != 0 ]
then
	message -u "$MUSTBECON"
	exit 1
fi

##  CHECK THAT FLOPPY IS NOT IN USE BY OTHER OPERATIONS.

if [ -s $LOCKFILE ]
then
	sh /usr/bin/Funlock.sh
	if [ $? != 0 ]
	then
		message -u "$ERRINUSE"
		exit
	fi
fi

##  CHECK THAT THE FLOPPY IS NOT MOUNTED.

DEVNUM=`mount | wc -l | cut -c7-7`
if [ "$DEVNUM" != "1" ]
then
	clear
	message -cu $ERROR1
	exit
fi

echo "$$ MsdosF.sh" > $LOCKFILE

/usr/bin/md_format /dev/rfp020

rm -f $LOCKFILE

